Hello,

Sune Vuorela wrote:
> On Tuesday 11 November 2008 13:46:41 Vincent Fourmond wrote:
>> +  [ Vincent Fourmond ]
> 
>> +  * Dropping a whole bunch of useless manual libsmokeqt4 dependencies
>> +    that prevent the packages from being installed. (closes: #505274)
> 
>> -Depends: libsmokeplasma2 (= ${binary:Version}), ${shlibs:Depends}
>> +Depends: ${shlibs:Depends}
> These was very much on purpose (and I know, one of them was broken). Smoke is 
> *not* considered stable, so we have to ensure that users don't mix smoke and 
> language bindings  from different versions.

  Allright... But I thought that the shlibs:Depends would more-or-less
take care of that, but, surely enough, stronger dependencies would
probably not hurt.

> So we should either revert it or do it another way. I personally like it this 
> way as it shows quite clearly that we want strict interdependencies.

  So, let's keep the current way. Do you want me to revert it (won't
have time now, I'm off to bed) ? We should probably document that in
debian/packaging-notes or something so that no one else makes the same
mistake

  Cheers,

        Vincent

-- 
Vincent Fourmond, Debian Developer
http://vince-debian.blogspot.com/

I have always wished for my computer to be as easy to use as my
telephone; my wish has come true because I can no longer figure out
how to use my telephone.
 -- Bjarne Stroustrup

Vincent, listening to Down To The Waterline (Dire Straits)

-- 
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-talk

Reply via email to